Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error : Could not locate Gemfile or .bundle/ directory #5719

Closed
jitendra3109 opened this issue Jan 5, 2017 · 49 comments

Comments

Projects
None yet
@jitendra3109
Copy link

commented Jan 5, 2017

  • I believe this to be a bug, not a question about using Jekyll.
  • I updated to the latest Jekyll (or) if on GitHub Pages to the latest github-pages
  • I read the CONTRIBUTION file at https://jekyllrb.com/docs/contributing/
  • This is a feature request.

  • I am on (or have tested on) Ubuntu GNU/Linux

  • I was trying to install.

My Reproduction Steps

Could not locate Gemfile or .bundle/ directory

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 5, 2017

@jsroyal How can I reproduce this issue? What were you trying to do?

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 6, 2017

@jsroyal To help us point you to a solution, you need to tell us more about the error message you're getting..

@jitendra3109

This comment has been minimized.

Copy link
Author

commented Jan 6, 2017

@ashmaroli still you did not get my error?
screenshot from 2017-01-06 15 54 09
I'm following this guide and want to install Jekyll but at the end of command, I got an error.
Something I mention in bracket [ done/error] so please clear then you have something??

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 6, 2017

Instead of posting a screenshot of Jekyll's Official Documentation, it would've helped if you had posted a screenshot of your BASH console or terminal.
Other helpful details include providing the version of Jekyll you are using by running $ jekyll -v

@jitendra3109

This comment has been minimized.

Copy link
Author

commented Jan 8, 2017

@pathawks ,@ashmaroli, @jekyllbot
Hi! Anybody please help me not able add Jekyll theme.
@ashmaroli still you did not get my error ??
image

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 8, 2017

was myblog created with Jekyll v3.2 or above?
What do you mean by not able add Jekyll theme ? Are you forking an existing Jekyll theme repo?

@jitendra3109

This comment has been minimized.

Copy link
Author

commented Jan 8, 2017

@ashmaroli No I'm not forking any Jekyll theme repo. I just follow quick start guide and getting error not able to install Jekyll.

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 8, 2017

When you run $ jekyll new myblog with Jekyll v3.2.0 and above, a Gemfile will be automatically created inside a directory named myblog at your current location.
So, the error will occur only if you're running bundle exec jekyll serve outside /myblog or generated myblog using an older version of Jekyll.

@DirtyF DirtyF added the support label Jan 8, 2017

@jitendra3109

This comment has been minimized.

Copy link
Author

commented Jan 9, 2017

Could not locate Gemfile or .bundle/ directory*

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 9, 2017

@jsroyal, what is the output you get when you run $ jekyll -v ? and when you run $ jekyll new myblog?

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 9, 2017

I'm really sorry, but I need to ask that this conversation be moved to https://talk.jekyllrb.com since this is a support inquiry rather than a bug in Jekyll.

@pathawks pathawks closed this Jan 9, 2017

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

While this isn't technically a bug in Jekyll itself, the fact that Jekyll's Quick-start guide instructions do not work out of the box on arguably one of the more popular (and layman-/beginner-oriented) Linux distros out there (i.e. stock Ubuntu, which I can confirm for a 16.04 LTS install) could be seen as a documentation bug.

First, the bad news:

The premature closing of this report is discouraging. Unfortunately this "see no 'evil', hear no 'evil', don't let anyone speak 'evil'" attitude is very common wherever bugtrackers are used. Probably a matter of non-farsighted contributors ignorantly responding to incorrect incentives (which latter would be the real problem – don't reward the closing of bug reports irrespective of outcome).

The good news is that I have a solution to the issue at hand:

The clue lies beyond the Quick-start guide, in the more formal installation requirements, where the need to install ruby "including development headers" is parenthetically mentioned. On Ubuntu, those headers are in the ruby-all-dev package, so sudo apt-get install ruby ruby-all-dev should do the trick. All of the dozens of googleable StackExchange responses glibly telling people to just change into the right directory (and then again shutting down the conversation, cf. above) are red herrings. With ruby-all-dev installed, the Quick-start guide should work and the Could not locate Gemfile or .bundle/ directory error message should not occur.

It would be a good idea to include a link/hint to that extent in the relevant documentation.

@ghost

This comment has been minimized.

Copy link

commented Jan 12, 2017

@BlueberryFoxtrot it's not that well hidden. if you look at the quick-start guide, you can see this:
screen shot 2017-01-12 at 10 32 21
following the requirements link brings you to this page, where the development headers are mentioned: http://jekyllrb.com/docs/installation/#requirements/

but i agree, there could be a link on how to install them

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

@quiltbag How about:

If you already have a full Ruby development environment with all headers and RubyGems installed (see Jekyll’s requirements), you can create a new Jekyll site by doing the following:

<Quick-start guide example goes here>

and then directly below that:

If you encounter any unexpected errors during the above, please refer to the already-mentioned requirements page, as you might be missing development headers or other requisites.

Given Ubuntu's "market share", it might then make sense to explicitly mention the Could not locate Gemfile or .bundle/ directory error and its likely fix with ruby-all-dev on the requirements page.

Of course it's not feasible to handhold every Linux distro, but maybe there's something to be said for striking a balance between keeping it short & generic, and giving likely users, or up-and-coming would-be users a leg up.

@ghost

This comment has been minimized.

Copy link

commented Jan 12, 2017

@BlueberryFoxtrot yeah, that sounds good! do you want to take this on?

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

@ghost

This comment has been minimized.

Copy link

commented Jan 12, 2017

@BlueberryFoxtrot yep, you'd have to fork, but we don't want to hinder you with anything if you want to do it! feel free to submit a pull request anytime you'd like

BlueberryFoxtrot added a commit to BlueberryFoxtrot/jekyll that referenced this issue Jan 12, 2017

Update installation.md
1. Addition of *Running Jekyll on Ubuntu* section, to address Ubuntu stumbling block as per jekyll#5719.
2. Restructuring, and I hope I understood correctly when NodeJS/Python are/aren't required.
3. Gentler wording – it's probably not a good idea to tell punters who hit this page because they ran into trouble that installing Jekyll *is* easy and straight-forward; it *ought to be* straight-forward. (There's always the potential for pain and confusion if not all dependencies are in place.)
@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 12, 2017

I'm still unclear on what the problem is here. It seems like Bundler is not finding the Gemfile. Does it need ruby-all-dev for that?

If this is a bug in Bundler, it'd be really great to either fix that or have Bundler provide a much more helpful error message.

@jitendra3109

This comment has been minimized.

Copy link
Author

commented Jan 12, 2017

@pathawks Hey! Can you just tell me is there alter way to create a GitHub page using the best theme or you need to install and do your all stuff your locally and test to run.
Because I'm not familiar with ruby and I want to instant if it.

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 12, 2017

If someone has a spare machine that they can reboot, they could probably boot Ubuntu 16.04 LTS or later from USB or LiveCD and confirm that I'm not making this up.

I am sure you are not making this up 😄
I'm just convinced that this issue is deeper than Jekyll itself, and it would be nice to have some direction to start trying to chase it down.

If anybody were looking for a weekend project, probing Ruby on Ubuntu to track down the source of this mess would be a good idea. Maybe somebody from @jekyll/linux could provide some insight?

I think the gem installs of jekyll and bundler required sudo, but I didn't really consider that an issue

In my own experience, installing Jekyll should absolutely not be done with sudo. This has always caused me headaches down the road when upgrading things.


@BlueberryFoxtrot Thank you for your documentation PRs. Jekyll was the first Ruby project I ever worked with, and it was a nightmare trying to figure out how to get things setup correctly. Anything that we can do to make this simpler is 👍

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 12, 2017

Of course there is no @jekyll/linux team :rage2:

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 12, 2017

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 12, 2017

Problem is not with Jekyll or Bundler.

gem install jekyll bundler fails, so neither one is ever even installed. It fails because it cannot install ffi, which requires the ability to compile native Ruby libraries, which is why installing the ruby-dev stuff fixes the problem.

I don't know how @jsroyal ended up with a ~/myblog directory if Jekyll never installed, but that is irrelevant.

So, once again, I am convinced that this is not a bug in Jekyll. It is a real pain point for new users, and I am glad that we have PRs to specifically address that, and I would be happy to complain about ffi on https://talk.jekyllrb.com

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 13, 2017

I don't know how @jsroyal ended up with a ~/myblog directory if Jekyll never installed, but that is irrelevant.

I can't really speak for @jsroyal, but the answer could be that as of v16.04 LTS there also is a jekyll .deb package available in Ubuntu's repositories.

I experimented with that at some point, but I could not get things to work using that .deb package, so I completely uninstalled everything (including ruby) and started over, and that's how I figured out what does work (so far – knocks wood).

I'm just bringing this up because (A) I just remembered, (B) I think it's conceivable @jsroyal also tried that package (did you?) and ended up with that directory after getting things to partially work with the .deb, and (C) maybe it's also useful to tell Ubuntu users not to use that package but follow the official Quick-start guide. OTOH, maybe that's taking distro hand-holding a bit far. I dunno. Somebody else decide this; I'm just saying.

@DirtyF

This comment has been minimized.

Copy link
Member

commented Jan 13, 2017

Yes and unlike Ruby gems, Jekyll Ubuntu packages are not necessary up to date to latest Jekyll version. (http://packages.ubuntu.com/xenial/ruby/jekyll, http://packages.ubuntu.com/yakkety/jekyll).

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 13, 2017

@BlueberryFoxtrot Hi, Great work with the investigation, explanation, and PRs. I got some valuable insight into UNIX-like OS' workings, myself being a Windows-user. 👍 😃

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 13, 2017

@pathawks:

ffi, which requires the ability to compile native Ruby libraries

This may not be the place, but the thing that annoyed me about ffi is that its documentation/wiki seems to suffer from what I'd call recursive obliviousness syndrome:

If you don't know what FFI means and stands for, the documentation doesn't tell you, and doesn't tell you where to find out, so if you don't know, you can't find out because you don't know.

On the other side, those documentation authors who do know what FFI means just assume that people know, so they'll never say because they assume that people know.

Recursive obliviousness on both sides. And never the twain shall meet.

This hubristic "we're important; people know us; no need for introductions" assumption is VERY common in organisation names and open source projects for some reason. I suspect a subset of overconfident abbreviation users don't themselves know the meaning either, but are simply incurious enough to never ask.

But yeah, I eventually dug deep and found out that an FFI is a foreign function interface, and yadda, yadda, yadda (thanks, Wikipedia).


@ashmaroli: Thank you.

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 13, 2017

thing that annoyed me about ffi

now that we know what FFI stands for, you could create a PR to have this info included in their README.. or update their wiki..

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 13, 2017

ffi is for developers, by developers.

You know I don't think our docs need to cover anything and everything, but if a user needs to dig through the ffi wiki just to get Jekyll installed, something has gone horribly wrong.

But yeah, I eventually dug deep and found out that an FFI is a foreign function interface

TIL

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented Jan 13, 2017

@pathawks

This comment has been minimized.

Copy link
Member

commented Jan 13, 2017

If someone has a spare machine that they can reboot, they could probably boot Ubuntu 16.04 LTS or later from USB or LiveCD and confirm that I'm not making this up.

Done.

ffi/ffi#552

@interglobalmedia

This comment has been minimized.

Copy link

commented Jan 21, 2017

I just want to add that I have had the same issue for a couple of days now. I had issues with Ruby previously and then thought I had it fixed. But now it is even worse. The documentation worked a couple of times but now does not. Am trying to find a solution to my problem. This is the latest I get in my iTerm2: (warning: this is long)

``` jekyll new frontenddeveloperportfolio New jekyll site installed in /Users/mariacam/Development/frontenddeveloperportfolio. Running bundle install in /Users/mariacam/Development/frontenddeveloperportfolio... Fetching gem metadata from https://rubygems.org/../Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/shared_helpers.rb:106: [BUG] Stack consistency error (sp: 54, bp: 53) ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-darwin14]

-- Crash Report log information --------------------------------------------
See Crash Report log file under the one of following:
* ~/Library/Logs/CrashReporter
* /Library/Logs/CrashReporter
* ~/Library/Logs/DiagnosticReports
* /Library/Logs/DiagnosticReports
for more details.

-- Control frame information -----------------------------------------------
c:0013 p:0020 s:0054 e:000052 METHOD /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/shared_helpers.rb:106
c:0012 p:0034 s:0047 e:000046 METHOD /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client/cache.rb:91
c:0011 p:0012 s:0041 e:000040 METHOD /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client/cache.rb:63
c:0010 p:0019 s:0037 e:000036 BLOCK /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client.rb:55 [FINISH]
c:0009 p:---- s:0034 e:000033 CFUNC :call
c:0008 p:0010 s:0030 e:000029 LAMBDA /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/compact_index.rb:87 [FINISH]
c:0007 p:---- s:0026 e:000025 CFUNC :call
c:0006 p:0013 s:0021 e:000020 METHOD /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:63
c:0005 p:0042 s:0015 e:000013 BLOCK /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:58 [FINISH]
c:0004 p:---- s:0011 e:000010 CFUNC :loop
c:0003 p:0007 s:0008 e:000007 METHOD /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:55
c:0002 p:0009 s:0004 e:000003 BLOCK /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:88 [FINISH]
c:0001 p:---- s:0002 e:000001 TOP [FINISH]

-- Ruby level backtrace information ----------------------------------------
/Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:88:in block (2 levels) in create_threads' /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:55:in process_queue'
/Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:55:in loop' /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:58:in block in process_queue'
/Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:63:in apply_func' /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb:63:in call'
/Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/compact_index.rb:87:in block (3 levels) in compact_index_client' /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/compact_index.rb:87:in call'
/Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client.rb:55:in block in dependencies' /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client/cache.rb:63:in dependencies'
/Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client/cache.rb:91:in lines' /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/shared_helpers.rb:106:in filesystem_access'

-- C level backtrace information -------------------------------------------
0 ruby 0x00000001047b2c25 rb_vm_bugreport + 149
1 ruby 0x0000000104655b64 rb_bug + 468
2 ruby 0x0000000104794b83 vm_exec_core + 17347
3 ruby 0x00000001047a3e21 vm_exec + 129
4 ruby 0x00000001047a8ff8 invoke_block_from_c + 2408
5 ruby 0x00000001047a2ff3 vm_invoke_proc + 195
6 ruby 0x00000001047a2f20 rb_vm_invoke_proc + 32
7 ruby 0x0000000104666125 proc_call + 117
8 ruby 0x00000001047b0bb4 vm_call_cfunc + 1764
9 ruby 0x0000000104793e30 vm_exec_core + 13936
10 ruby 0x00000001047a3e21 vm_exec + 129
11 ruby 0x00000001047a8ff8 invoke_block_from_c + 2408
12 ruby 0x00000001047a2ff3 vm_invoke_proc + 195
13 ruby 0x00000001047a2f20 rb_vm_invoke_proc + 32
14 ruby 0x0000000104666125 proc_call + 117
15 ruby 0x00000001047b0bb4 vm_call_cfunc + 1764
16 ruby 0x0000000104793e30 vm_exec_core + 13936
17 ruby 0x00000001047a3e21 vm_exec + 129
18 ruby 0x00000001047a8ff8 invoke_block_from_c + 2408
19 ruby 0x00000001047ab719 loop_i + 57
20 ruby 0x000000010465f7c6 rb_rescue2 + 278
21 ruby 0x00000001047a2103 rb_f_loop + 51
22 ruby 0x00000001047b0bb4 vm_call_cfunc + 1764
23 ruby 0x0000000104793c10 vm_exec_core + 13392
24 ruby 0x00000001047a3e21 vm_exec + 129
25 ruby 0x00000001047a8ff8 invoke_block_from_c + 2408
26 ruby 0x00000001047a2ff3 vm_invoke_proc + 195
27 ruby 0x00000001047a2f20 rb_vm_invoke_proc + 32
28 ruby 0x00000001047c15ab thread_start_func_2 + 507
29 ruby 0x00000001047c1395 thread_start_func_1 + 149
30 libsystem_pthread.dylib 0x00007fff9a59299d _pthread_body + 131
31 libsystem_pthread.dylib 0x00007fff9a59291a _pthread_body + 0

-- Other runtime information -----------------------------------------------

  • Loaded script: /Users/mariacam/.rvm/gems/ruby-2.2.2/bin/bundle

  • Loaded features:

    0 enumerator.so
    1 rational.so
    2 complex.so
    3 encdb.so
    4 trans/transdb.so
    5 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/unicode_normalize.rb
    6 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/x86_64-darwin14/rbconfig.rb
    7 thread.rb
    8 thread.so
    9 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/compatibility.rb
    10 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/defaults.rb
    11 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/deprecate.rb
    12 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/errors.rb
    13 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/version.rb
    14 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/requirement.rb
    15 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/platform.rb
    16 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/basic_specification.rb
    17 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/stub_specification.rb
    18 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/util/list.rb
    19 stringio.so
    20 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/specification.rb
    21 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/exceptions.rb
    22 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_gem.rb
    23 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/monitor.rb
    24 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb
    25 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems.rb
    26 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/path_support.rb
    27 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/dependency.rb
    28 /Users/mariacam/.rvm/gems/ruby-2.2.2@global/gems/executable-hooks-1.3.2/lib/executable-hooks/hooks.rb
    29 /Users/mariacam/.rvm/gems/ruby-2.2.2@global/gems/rubygems-bundler-1.4.4/lib/rubygems-bundler/noexec.rb
    30 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/postit/lib/postit/parser.rb
    31 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/postit/lib/postit/environment.rb
    32 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/postit/lib/postit/installer.rb
    33 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/postit/lib/postit/version.rb
    34 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/postit/lib/postit.rb
    35 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/postit_trampoline.rb
    36 etc.so
    37 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/fileutils.rb
    38 pathname.so
    39 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/pathname.rb
    40 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/tmpdir.rb
    41 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/errors.rb
    42 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/environment_preserver.rb
    43 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/api.rb
    44 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin.rb
    45 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/rfc2396_parser.rb
    46 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/rfc3986_parser.rb
    47 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/common.rb
    48 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/generic.rb
    49 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/ftp.rb
    50 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/http.rb
    51 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/https.rb
    52 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/ldap.rb
    53 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/ldaps.rb
    54 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri/mailto.rb
    55 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/uri.rb
    56 digest.so
    57 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/digest.rb
    58 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/util.rb
    59 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source/git.rb
    60 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source/installed.rb
    61 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source/specific_file.rb
    62 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source/local.rb
    63 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source/lock.rb
    64 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source/vendor.rb
    65 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source.rb
    66 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/gem_helpers.rb
    67 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/match_platform.rb
    68 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/rubygems_ext.rb
    69 io/console.so
    70 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/user_interaction.rb
    71 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/config_file.rb
    72 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/rubygems_integration.rb
    73 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/version.rb
    74 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/constants.rb
    75 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/current_ruby.rb
    76 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler.rb
    77 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/cgi/core.rb
    78 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/cgi/util.rb
    79 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/cgi/cookie.rb
    80 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/cgi.rb
    81 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/set.rb
    82 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/command.rb
    83 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/core_ext/hash_with_indifferent_access.rb
    84 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/core_ext/ordered_hash.rb
    85 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/error.rb
    86 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/invocation.rb
    87 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/parser/argument.rb
    88 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/parser/arguments.rb
    89 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/parser/option.rb
    90 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/parser/options.rb
    91 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/parser.rb
    92 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/shell.rb
    93 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/line_editor/basic.rb
    94 readline.so
    95 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/line_editor/readline.rb
    96 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/line_editor.rb
    97 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/util.rb
    98 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/base.rb
    99 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor.rb
    100 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/core_ext/io_binary_read.rb
    101 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions/empty_directory.rb
    102 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions/create_file.rb
    103 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions/create_link.rb
    104 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions/directory.rb
    105 strscan.so
    106 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/erb.rb
    107 date_core.so
    108 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/date.rb
    109 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/time.rb
    110 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/open-uri.rb
    111 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions/file_manipulation.rb
    112 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions/inject_into_file.rb
    113 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/actions.rb
    114 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendored_thor.rb
    115 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/friendly_errors.rb
    116 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext/build_error.rb
    117 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext/builder.rb
    118 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext/configure_builder.rb
    119 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/delegate.rb
    120 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/tempfile.rb
    121 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext/ext_conf_builder.rb
    122 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext/rake_builder.rb
    123 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/optparse.rb
    124 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/command.rb
    125 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext/cmake_builder.rb
    126 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/ext.rb
    127 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/settings.rb
    128 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/feature_flag.rb
    129 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/shared_helpers.rb
    130 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/cli/plugin.rb
    131 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/cli.rb
    132 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/shell/basic.rb
    133 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/thor/lib/thor/shell/color.rb
    134 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/ui.rb
    135 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/ui/silent.rb
    136 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/ui/rg_proxy.rb
    137 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/ui/shell.rb
    138 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/cli/common.rb
    139 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/cli/install.rb
    140 openssl.so
    141 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/bn.rb
    142 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/cipher.rb
    143 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/config.rb
    144 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/digest.rb
    145 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/x509.rb
    146 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/buffering.rb
    147 fcntl.so
    148 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl/ssl.rb
    149 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/openssl.rb
    150 socket.so
    151 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/socket.rb
    152 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb
    153 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/protocol.rb
    154 zlib.so
    155 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/exceptions.rb
    156 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/header.rb
    157 enc/windows_31j.so
    158 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/generic_request.rb
    159 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/request.rb
    160 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/requests.rb
    161 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/response.rb
    162 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/responses.rb
    163 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/proxy_delta.rb
    164 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http/backward.rb
    165 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/net/http.rb
    166 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/net-http-persistent/lib/net/http/faster.rb
    167 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/net-http-persistent/lib/net/http/persistent/ssl_reuse.rb
    168 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/net-http-persistent/lib/net/http/persistent.rb
    169 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendored_persistent.rb
    170 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/securerandom.rb
    171 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/base.rb
    172 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/worker.rb
    173 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/compact_index.rb
    174 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/dependency.rb
    175 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/request/http_pool.rb
    176 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/request/https_pool.rb
    177 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/request/connection_pools.rb
    178 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/request.rb
    179 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/uri_formatter.rb
    180 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/resolv.rb
    181 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/remote_fetcher.rb
    182 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/index.rb
    183 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher.rb
    184 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/dependency.rb
    185 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/ruby_dsl.rb
    186 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/dsl.rb
    187 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/dsl.rb
    188 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source_list.rb
    189 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source.rb
    190 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/text.rb
    191 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/name_tuple.rb
    192 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/spec_fetcher.rb
    193 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source/rubygems.rb
    194 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/source_list.rb
    195 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/installer.rb
    196 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/installer/rubygems.rb
    197 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/ruby_version.rb
    198 digest/sha1.so
    199 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source/path.rb
    200 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source/git.rb
    201 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/lockfile_parser.rb
    202 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/definition.rb
    203 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/tsort.rb
    204 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/forwardable.rb
    205 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/spec_set.rb
    206 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/index.rb
    207 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/gem_version_promoter.rb
    208 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source/gemspec.rb
    209 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/dependency_list.rb
    210 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/security/policy.rb
    211 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/security/policies.rb
    212 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/security/trust_dir.rb
    213 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/security/signer.rb
    214 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/security.rb
    215 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/digest_io.rb
    216 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/source.rb
    217 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/file_source.rb
    218 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/io_source.rb
    219 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/old.rb
    220 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/tar_header.rb
    221 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/tar_reader/entry.rb
    222 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/tar_reader.rb
    223 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package/tar_writer.rb
    224 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/package.rb
    225 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/installer.rb
    226 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/available_set.rb
    227 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/dependency_installer.rb
    228 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/installer/gem_installer.rb
    229 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/installer/parallel_installer.rb
    230 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/installer/standalone.rb
    231 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/installer.rb
    232 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/index.rb
    233 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/gem_metadata.rb
    234 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/errors.rb
    235 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/action.rb
    236 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_edge_no_circular.rb
    237 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/add_vertex.rb
    238 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/delete_edge.rb
    239 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/detach_vertex_named.rb
    240 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/set_payload.rb
    241 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/tag.rb
    242 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/log.rb
    243 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph/vertex.rb
    244 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/dependency_graph.rb
    245 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/state.rb
    246 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/modules/specification_provider.rb
    247 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/delegates/resolution_state.rb
    248 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/delegates/specification_provider.rb
    249 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/resolution.rb
    250 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/resolver.rb
    251 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo/modules/ui.rb
    252 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendor/molinillo/lib/molinillo.rb
    253 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/vendored_molinillo.rb
    254 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/resolver.rb
    255 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/dep_proxy.rb
    256 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/source/rubygems/remote.rb
    257 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/mirror.rb
    258 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/plugin/api/source.rb
    259 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/exception.rb
    260 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/syntax_error.rb
    261 psych.so
    262 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/omap.rb
    263 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/set.rb
    264 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/class_loader.rb
    265 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/scalar_scanner.rb
    266 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/node.rb
    267 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/stream.rb
    268 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/document.rb
    269 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/sequence.rb
    270 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/scalar.rb
    271 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/mapping.rb
    272 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes/alias.rb
    273 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/nodes.rb
    274 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/streaming.rb
    275 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors/visitor.rb
    276 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors/to_ruby.rb
    277 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors/emitter.rb
    278 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/handler.rb
    279 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/tree_builder.rb
    280 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors/yaml_tree.rb
    281 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/json/ruby_events.rb
    282 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors/json_tree.rb
    283 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors/depth_first.rb
    284 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/visitors.rb
    285 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/parser.rb
    286 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/coder.rb
    287 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/core_ext.rb
    288 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/deprecated.rb
    289 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/stream.rb
    290 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/json/yaml_events.rb
    291 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/json/tree_builder.rb
    292 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/json/stream.rb
    293 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych/handlers/document_stream.rb
    294 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/psych-2.0.17/lib/psych.rb
    295 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/yaml.rb
    296 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/psyched_yaml.rb
    297 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/psych_additions.rb
    298 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/psych_tree.rb
    299 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/syck_hack.rb
    300 enc/utf_16le.so
    301 enc/utf_16be.so
    302 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/fetcher/downloader.rb
    303 digest/md5.so
    304 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client/cache.rb
    305 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client/updater.rb
    306 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/compact_index_client.rb
    307 /Users/mariacam/.rvm/gems/ruby-2.2.2/gems/bundler-1.14.0/lib/bundler/retry.rb
    308 /Users/mariacam/.rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/rubygems/source_list.rb

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
Don't forget to include the above Crash Report log file.
For details: http://www.ruby-lang.org/bugreport.html

Maria-Campbells-Computer-2 ॐ ~/development:
11564 ◯ frontenddeveloperportfolio
RVM used your Gemfile for selecting Ruby, it is all fine - Heroku does that too,
you can ignore these warnings with 'rvm rvmrc warning ignore /Users/mariacam/development/frontenddeveloperportfolio/Gemfile'.
To ignore the warning for all files run 'rvm rvmrc warning ignore allGemfiles'.

Unknown ruby interpreter version (do not know how to handle): RUBY_VERSION.

</details>

RUBY_VERSION appears in my Jekyll install now (and it didn't before). I'm on OS X Sierra. But until a little while ago was on El Capitan.

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 21, 2017

This could be because of the new Bundler v1.14.0 ... not sure...

@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 21, 2017

Can you get back after following steps below?

  • Edit Gemfile by changing ruby RUBY_VERSION to `ruby "2.2.2"
  • Delete existing Gemfile.lock
  • On your command console, move into your project directory. ( run cd /Users/mariacam/Development/frontenddeveloperportfolio if you're not in it. )
  • Run bundle install from that dir.
@interglobalmedia

This comment has been minimized.

Copy link

commented Jan 21, 2017

Ok. I'll give it a try and get back to you. Thanks!

@interglobalmedia

This comment has been minimized.

Copy link

commented Jan 21, 2017

Hi @ashmaroli: I did those steps. This is what I get in the console:

bundle install                                                       ⏎
Fetching gem metadata from https://rubygems.org/...........
Fetching version metadata from https://rubygems.org/..
Fetching dependency metadata from https://rubygems.org/.
Resolving dependencies...
Using public_suffix 2.0.5
Using colorator 1.1.0
Using ffi 1.9.17
Using forwardable-extended 2.6.0
Using sass 3.4.23
Using rb-fsevent 0.9.8
Using kramdown 1.13.2
Using liquid 3.0.6
Using mercenary 0.3.6
Using rouge 1.11.1
Using safe_yaml 1.0.4
Using bundler 1.14.0
Using addressable 2.5.0
Using rb-inotify 0.9.7
Using pathutil 0.14.0
Using jekyll-sass-converter 1.5.0
Using listen 3.0.8
Using jekyll-watch 1.5.0
Using jekyll 3.3.1
Using jekyll-feed 0.8.0
Using minima 2.1.0
Bundle complete! 3 Gemfile dependencies, 21 gems now installed.
Use `bundle show [gemname]` to see where a bundled gem is installed.

This is what was built in the project:

Gemfile      _config.yml  _site        index.md
Gemfile.lock _posts       about.md

I'm supposed to get more than that built, right? I also contributed to another thread after I upgraded to Sierra right after I contributed to this (similar) issue, and re-installed Ruby so that I could get 2.3.3 installed (was successful). Then I no longer received errors with Jekyll. However, when I cd into a jekyll project, this is what I get in iTerm2:

RVM used your Gemfile for selecting Ruby, it is all fine - Heroku does that too,
you can ignore these warnings with 'rvm rvmrc warning ignore /Users/mariacam/development/front-end-developer-portfolio/Gemfile'.
To ignore the warning for all files run 'rvm rvmrc warning ignore allGemfiles'.
@ashmaroli

This comment has been minimized.

Copy link
Member

commented Jan 21, 2017

'm supposed to get more than that built, right?

No, that's expected from newer versions of Jekyll. Please refer our docs on that matter.

this is what I get in iTerm2:

Since its telling you that you can ignore those warnings, you need not worry. They're not related to Jekyll.

@interglobalmedia

This comment has been minimized.

Copy link

commented Jan 21, 2017

Ok then. Great. I'll check out the docs. Thanks!

@will-ryan

This comment has been minimized.

Copy link

commented Apr 19, 2017

I'm having the same problem. My Jekyll version stays at 3.0.1 even after I install ruby-dev.

I have to use sudo to install Jekyll at all and then each time I get:

Could not locate Gemfile or .bundle/ directory

@sayonsom

This comment has been minimized.

Copy link

commented Apr 20, 2017

Same issue.
Could not locate Gemfile or .bundle/ directory

@PuddletownDesign

This comment has been minimized.

Copy link

commented May 9, 2017

Hello I have the same issue running this on Mac 10.12. I have the command line developer tools installed however not the full Xcode IDE install.

The default Jekyll project opens and runs correctly as it comes with the gemfile however any templates that I try to use or generating a new gem file doesn't seem to work and produces.

Could not locate Gemfile or .bundle/ directory
@msangel

This comment has been minimized.

Copy link

commented May 28, 2017

Hello, I was trying to do evrything from https://jekyllrb.com/ and I got:
Could not locate Gemfile or .bundle/ directory

Please do update documentation on the main page for Ubuntu users.

@msangel

This comment has been minimized.

Copy link

commented May 28, 2017

I did evrything from this thread. Nothing help.
$ ruby -v
ruby 2.3.1p112 (2016-04-26) [x86_64-linux-gnu]
$ type ruby
ruby is hashed (/usr/bin/ruby)
$ gem -v
2.6.12
$ type gem
gem is hashed (/usr/bin/gem)
$ sudo apt install ruby-all-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
ruby-all-dev is already the newest version (1:2.3.0+1).
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
$ gem install jekyll bundler
ERROR: While executing gem ... (Gem::FilePermissionError)
You don't have write permissions for the /var/lib/gems/2.3.0 directory.
$ sudo gem install jekyll bundler
Successfully installed jekyll-3.4.3
Parsing documentation for jekyll-3.4.3
Done installing documentation for jekyll after 1 seconds
Successfully installed bundler-1.15.0
Parsing documentation for bundler-1.15.0
Done installing documentation for bundler after 3 seconds
2 gems installed
$ jekyll new my-awesome-site
New jekyll site installed in /home/msangel/my-awesome-site.
$ cd my-awesome-site
$ ls -a
. about.md css _includes js _posts
.. _config.yml feed.xml index.html _layouts _sass
~/my-awesome-site$ bundle exec jekyll serve
Could not locate Gemfile or .bundle/ directory

@BlueberryFoxtrot

This comment has been minimized.

Copy link
Contributor

commented May 28, 2017

@jitendra3109

This comment has been minimized.

Copy link
Author

commented Jul 21, 2017

Once again try but still failed.

Setting up ruby-pygments.rb (0.6.3-2) ...
Setting up ruby-rdiscount (2.1.8-1build3) ...
Setting up ruby-redcarpet (3.3.4-2build1) ...
Setting up ruby-safe-yaml (1.0.4-1) ...
Setting up ruby-blankslate (3.1.3-1) ...
Setting up ruby-parslet (1.7.1-1) ...
Setting up ruby-toml (0.1.2-4) ...
Setting up jekyll (3.1.6+dfsg-3) ...
Setting up ruby-json (2.0.1+dfsg-2) ...
Setting up ruby-mysql (2.9.1-1ubuntu1) ...
Setting up ruby-oj (2.17.1-1) ...
Setting up ruby-pg (0.18.4-1) ...
Setting up ruby-sequel (4.37.0-1) ...
Setting up ruby-sequel-pg (1.6.16-1) ...
jsroyal@HP:~$ jekyll new my-awesome-site
New jekyll site installed in /home/jsroyal/my-awesome-site. 
jsroyal@HP:~$ cd my-awesome-site/
jsroyal@HP:~/my-awesome-site$ bundle exec jekyll serve
Could not locate Gemfile or .bundle/ directory
jsroyal@HP:~/my-awesome-site$ sudo bundle exec jekyll serve
Could not locate Gemfile or .bundle/ directory
jsroyal@HP:~/my-awesome-site$ ^C
jsroyal@HP:~/my-awesome-site$ clear

jsroyal@HP:~/my-awesome-site$ gem install jekyll bundler
Fetching: liquid-4.0.0.gem (100%)
ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions for the /var/lib/gems/2.3.0 directory.
jsroyal@HP:~/my-awesome-site$ sudo gem install jekyll bundler
Fetching: liquid-4.0.0.gem (100%)
Successfully installed liquid-4.0.0
Fetching: forwardable-extended-2.6.0.gem (100%)
Successfully installed forwardable-extended-2.6.0
Fetching: pathutil-0.14.0.gem (100%)
Successfully installed pathutil-0.14.0
Fetching: rouge-1.11.1.gem (100%)
Successfully installed rouge-1.11.1
Fetching: jekyll-3.5.1.gem (100%)
Successfully installed jekyll-3.5.1
Parsing documentation for liquid-4.0.0
Installing ri documentation for liquid-4.0.0
Parsing documentation for forwardable-extended-2.6.0
Installing ri documentation for forwardable-extended-2.6.0
Parsing documentation for pathutil-0.14.0
Installing ri documentation for pathutil-0.14.0
Parsing documentation for rouge-1.11.1
Installing ri documentation for rouge-1.11.1
Parsing documentation for jekyll-3.5.1
Installing ri documentation for jekyll-3.5.1
Done installing documentation for liquid, forwardable-extended, pathutil, rouge, jekyll after 12 seconds
Successfully installed bundler-1.15.2
Parsing documentation for bundler-1.15.2
Done installing documentation for bundler after 7 seconds
6 gems installed
jsroyal@HP:~/my-awesome-site$ gem install jekyll bundler
Fetching: jekyll-3.5.1.gem (100%)
ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions for the /var/lib/gems/2.3.0 directory.
jsroyal@HP:~/my-awesome-site$ jekyll new my-awesome-site
New jekyll site installed in /home/jsroyal/my-awesome-site/my-awesome-site. 
jsroyal@HP:~/my-awesome-site$ cd my-awesome-site/
jsroyal@HP:~/my-awesome-site/my-awesome-site$ bundle exec jekyll serve
Could not locate Gemfile or .bundle/ directory
@gemalaputri

This comment has been minimized.

Copy link

commented Oct 28, 2017

I had the same problem on my Ubuntu 16.04, after that I'm checking the requirement for Linux, and I'm realize that I don't have Python 2.7 on my laptop.
https://jekyllrb.com/docs/installation/
after finished the installation, I jumped to : https://jekyllrb.com/docs/quickstart/

The Gemfile and Gemfile.lock files inform Bundler about the gem requirements in your site. If your site doesn’t have these Gemfiles, you can omit bundle exec and just run jekyll serve.

So I run jekyll serve inside the new jekyll folder, and it works!
you can run on http://localhost:4000/ in the first time

@jekyll jekyll locked and limited conversation to collaborators Oct 29, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
You can’t perform that action at this time.